package com.ruoyi.project.sems.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.project.sems.domain.TMeasureThickness;
import com.ruoyi.project.sems.domain.TSpecdevCc;
import com.ruoyi.project.sems.mapper.TMeasureThicknessMapper;
import com.ruoyi.project.sems.mapper.TSpecdevCcMapper;
import com.ruoyi.project.sems.service.ITMeasureThicknessService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 定点测厚Service业务层处理
 *
 * @author ruoyi
 * @date 2021-07-07
 */
@Service("tMeasureThicknessService")
public class TMeasureThicknessServiceImpl extends ServiceImpl<TMeasureThicknessMapper, TMeasureThickness> implements ITMeasureThicknessService
{
    @Resource
    private TMeasureThicknessMapper tMeasureThicknessMapper;

    /**
     * 查询定点测厚
     *
     * @param id 定点测厚ID
     * @return 定点测厚
     */
    @Override
    public TMeasureThickness selectTMeasureThicknessById(Long id)
    {
        return tMeasureThicknessMapper.selectTMeasureThicknessById(id);
    }

    @Override
    public Long selectByTagNo(String tagNo, String position) {
        return this.tMeasureThicknessMapper.selectByTagNo(tagNo, position);
    }

    /**
     * 查询定点测厚列表
     *
     * @param tMeasureThickness 定点测厚
     * @return 定点测厚
     */
    @Override
    public List<TMeasureThickness> selectTMeasureThicknessList(TMeasureThickness tMeasureThickness)
    {
        return tMeasureThicknessMapper.selectTMeasureThicknessList(tMeasureThickness);
    }

    /**
     * 新增定点测厚
     *
     * @param tMeasureThickness 定点测厚
     * @return 结果
     */
    @Override
    public int insertTMeasureThickness(TMeasureThickness tMeasureThickness)
    {
        return tMeasureThicknessMapper.insertTMeasureThickness(tMeasureThickness);
    }

    /**
     * 修改定点测厚
     *
     * @param tMeasureThickness 定点测厚
     * @return 结果
     */
    @Override
    public int updateTMeasureThickness(TMeasureThickness tMeasureThickness)
    {
        return tMeasureThicknessMapper.updateTMeasureThickness(tMeasureThickness);
    }

    /**
     * 批量删除定点测厚
     *
     * @param ids 需要删除的定点测厚ID
     * @return 结果
     */
    @Override
    public int deleteTMeasureThicknessByIds(Long[] ids)
    {
        return tMeasureThicknessMapper.deleteTMeasureThicknessByIds(ids);
    }

    /**
     * 删除定点测厚信息
     *
     * @param id 定点测厚ID
     * @return 结果
     */
    @Override
    public int deleteTMeasureThicknessById(Long id)
    {
        return tMeasureThicknessMapper.deleteTMeasureThicknessById(id);
    }
}
